﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Form.ascx.cs" Inherits="helferlein.DNN.Modules.Form.UI.Form" %>
<%@ Register Src="~/controls/urlcontrol.ascx" TagName="UrlControl" TagPrefix="dnn" %>
<%@ Register Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" TagPrefix="dnn" %>

<!-- START OF MODULE HELFERLEIN_FORM -->
<asp:Panel ID="AdditionalItemsAbove" runat="server" CssClass="SubmissionPanelStyle" Visible="false" />

<asp:Panel ID="FormPanel" runat="server" CssClass="FormPanelStyle">
   <asp:PlaceHolder ID="FormPlaceHolder" runat="server" />
   <asp:Label ID="Message" runat="server" CssClass="NormalRed" />
   <div id="SubmitButton">
      <asp:LinkButton ID="SubmitButtonAsLink" runat="server" Text="Send" CssClass="CommandButton SendButtonStyle" OnClick="SubmitButton_Click" />
      <asp:Button ID="SubmitButtonAsButton" runat="server" Text="Send" CssClass="StandardButton SendButtonStyle" OnClick="SubmitButton_Click" Visible="false" />
      <dnn:CommandButton ID="SubmitButtonAsCommandButton" runat="server" Text="Send" CssClass="CommandButton SendButtonStyle" Visible="false" ImageUrl="images/email.png" DisplayIcon="true" DisplayLink="true" ResourceKey="SubmitButton" />
      <asp:LinkButton ID="BackButtonAsLink" runat="server" Text="Back" CssClass="CommandButton SendButtonStyle" Visible="false" CausesValidation="false" OnClick="BackButton_Click" />
      <asp:Button ID="BackButtonAsButton" runat="server" Text="Back" CssClass="StandardButton SendButtonStyle" CausesValidation="false" OnClick="BackButton_Click" Visible="false" />
      <dnn:CommandButton ID="BackButtonAsCommandButton" runat="server" Text="Back" CssClass="CommandButton SendButtonStyle" Visible="false" ImageUrl="images/arrow_undo.png" DisplayIcon="true" DisplayLink="true" ResourceKey="cmdBack" />
   </div>
   <asp:ValidationSummary ID="FormValidationSummary" runat="server"
      CssClass="NormalRed FormValidationSummaryStyle"
      EnableClientScript="true"
      Enabled="true"
      OnLoad="FormValidationSummary_Load" />
</asp:Panel>

<asp:Panel ID="AdditionalItemsBelow" runat="server" CssClass="SubmissionPanelStyle" Visible="false" />
<!-- END OF MODULE HELFERLEIN_FORM -->
